Skip to content
Start here

Delete namespace.

client.aiSearch.namespaces.delete(stringname, NamespaceDeleteParams { account_id } params, RequestOptionsoptions?): NamespaceDeleteResponse
DELETE/accounts/{account_id}/ai-search/namespaces/{name}

Delete namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
name: string
params: NamespaceDeleteParams { account_id }
account_id: string
ReturnsExpand Collapse
NamespaceDeleteResponse = unknown

Delete namespace.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const namespace = await client.aiSearch.namespaces.delete('production', {
  account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22',
});

console.log(namespace);
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}